GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
departmentId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "f4a27d31-2970-472f-8f84-a55f2fc5e9b6",
    "selected_nameplate_id": "60558c49-38ea-49da-a856-35249dac5602",
    "active": true,
    "department_id": "ac226458-ba26-49c2-beb1-51e3cfffc222",
    "id": "9286fb9d-e8bf-4604-81bf-38bda2140e7c",
    "physical_item_id": "ce33711c-e910-4197-8aab-7b8c742ab6cf",
    "service_item_id": "b14996e1-ae73-4e65-b531-85eea9c5ca6f",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "f4a27d31-2970-472f-8f84-a55f2fc5e9b6",
    "selected_nameplate_id": "60558c49-38ea-49da-a856-35249dac5602",
    "active": true,
    "department_id": "ac226458-ba26-49c2-beb1-51e3cfffc222",
    "id": "9286fb9d-e8bf-4604-81bf-38bda2140e7c",
    "physical_item_id": "ce33711c-e910-4197-8aab-7b8c742ab6cf",
    "service_item_id": "b14996e1-ae73-4e65-b531-85eea9c5ca6f",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <department_item>
    <active>true</active>
    <department_id>ac226458-ba26-49c2-beb1-51e3cfffc222</department_id>
    <id>9286fb9d-e8bf-4604-81bf-38bda2140e7c</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>ce33711c-e910-4197-8aab-7b8c742ab6cf</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>b14996e1-ae73-4e65-b531-85eea9c5ca6f</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>60558c49-38ea-49da-a856-35249dac5602</selected_nameplate_id>
    <selected_sticker_id>f4a27d31-2970-472f-8f84-a55f2fc5e9b6</selected_sticker_id>
  </department_item>
  <department_item>
    <active>true</active>
    <department_id>ac226458-ba26-49c2-beb1-51e3cfffc222</department_id>
    <id>9286fb9d-e8bf-4604-81bf-38bda2140e7c</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>ce33711c-e910-4197-8aab-7b8c742ab6cf</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>b14996e1-ae73-4e65-b531-85eea9c5ca6f</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>60558c49-38ea-49da-a856-35249dac5602</selected_nameplate_id>
    <selected_sticker_id>f4a27d31-2970-472f-8f84-a55f2fc5e9b6</selected_sticker_id>
  </department_item>
</ArrayOfdepartment_item>